import { AxiosInstance } from 'axios';
import 'hex-lite';
declare type ENV = 'sandbox' | 'production';
interface iCardData {
    holderName: string;
    cardNumber: string;
    securityCode: string;
    expirationMonth: string;
    expirationYear: string;
}
declare class JunoCardHash {
    publicToken: string;
    environment: ENV;
    axios: AxiosInstance;
    constructor(publicToken: string, environment?: ENV);
    static getAlgorithm(): {
        name: string;
        hash: {
            name: string;
        };
    };
    getCardHash(cardData: iCardData): Promise<any>;
    _fetchPublicKey(): Promise<string>;
    _fetchCardHash(encryptedCard: string | void): Promise<import("axios").AxiosResponse<any>>;
    _importKey(binaryKey: string): Promise<any>;
    _encryptCardData(publicKey: any, encodedCardData: ArrayBuffer): Promise<string | void>;
    _str2ab(str: string): any;
    _encodeAb(arrayBuffer: ArrayBuffer): string;
    _configureAxios(environment: ENV): AxiosInstance;
}
export default JunoCardHash;
